{% extends "bootstrap/base.html" %}
{% import "bootstrap/wtf.html" as wtf %}

{% block styles %}
{{super()}}
    <link href="{{url_for('.static', filename='css/sticky-footer.css')}}" rel="stylesheet">
{% endblock %}

{% block body %}

    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <a class="navbar-brand" href="https://gitlab.com/sergeev.miha/gitlab-webhooks">GLWHS</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
                {% if current_user.is_authenticated %}
                <li class="nav-item active">
                    <a class="nav-link" href="{{ url_for('index') }}">Home</a>
                </li>
                {% endif %}
                <li class="nav-item">
                    <a class="nav-link" href="{{ url_for('rss') }}">RSS</a>
                </li>
            </ul>
            <ul class="navbar-nav ml-auto">
                {% if current_user.is_authenticated %}
                <li class="nav-item">
                    <a class="nav-link" href="{{ url_for('logout') }}">{{ current_user.email }} (Log out)</a>
                </li>
                {% else %}
                <li class="nav-item align-right">
                    <a class="nav-link" href="{{ url_for('login') }}">Log in</a>
                </li>
                {% endif %}
            </ul>
        </div>
    </nav>

    {% block nav %}

    <div class="container mt-5">
        <div class="row">
            <ul class="nav mr-auto">
                <li class="nav-item">
                    {% if title %}
                    <h2>{{ title }}</h2>
                    {% else %}
                    <h2>Base title</h2>
                    {% endif %}
                </li>
            </ul>

            {% block navlinks %}{% endblock %}
        </div>
    </div>

    {% endblock %}

    {% block content %}{% endblock %}

    <footer class="footer">
        <div class="container">
            <div class="footer-copyright text-center py-3">© powered by:
                <a href="https://gitlab.com/sergeev.miha/gitlab-webhooks"> someone</a>
            </div>
        </div>
    </footer>

{% endblock %}